Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.server.remote.ejb
Class CMEJBApplicationModuleImpl

`java.lang.Object
oracle.jbo.server.remote.AbstractRemoteApplicationModuleImpl
oracle.jbo.server.remote.ejb.ServerApplicationModuleImpl
oracle.jbo.server.remote.ejb.EJBApplicationModuleImpl
oracle.jbo.server.remote.ejb.CMEJBApplicationModuleImpl`

All Implemented Interfaces:
  ApplicationModuleRemoteAdapter, javax.ejb.EnterpriseBean, java.util.EventListener, JboExceptionHandler, java.io.Serializable, javax.ejb.SessionBean, javax.ejb.SessionSynchronization, TransactionStateListener, ViewClearCacheListener, WSApplicationModuleMarshaller

public class CMEJBApplicationModuleImpl
extends EJBApplicationModuleImpl
implements javax.ejb.SessionSynchronization

Version:
  INTERNAL
See Also:
  Serialized Form

Field Summary

Fields inherited from class oracle.jbo.server.remote.AbstractRemoteApplicationModuleImpl
`PROCESS_STATUS_ERROR_FOUND, PROCESS_STATUS_OK`

Fields inherited from interface oracle.jbo.common.ws.WSApplicationModuleMarshaller
`ACTIVATION_AFTER_LOSS_OF_AFFINITY, ACTIVATION_AFTER_RESTART, ACTIVATION_NONE, SYNC_INT_BATCH, SYNC_INT_BATCH_DO_WORK`

Constructor Summary
`CMEJBApplicationModuleImpl()`

Method Summary
`void` | `afterBegin()`
`void` | `afterCompletion(boolean committed)`
`void` | `beforeCompletion()`
`TransactionHandlerFactory` | `createTxnHandlerFactory()`

Methods inherited from class oracle.jbo.server.remote.ejb.EJBApplicationModuleImpl
`createPiggybackReturn, ejbActivate, ejbCreate, ejbCreate, ejbCreate, ejbCreate, ejbPassivate, ejbRemove, getSessionContext, getTransactionTimeout, processSvcMsgRequest, releaseConnectionOnCompletion, resumeTransaction, setSessionContext, suspendTransaction, useGlobalTransaction`

Methods inherited from class oracle.jbo.server.remote.ejb.ServerApplicationModuleImpl
`createInstance, createObjectMarshaller, createSession, doMessage, doMessagePooled, processException`

Methods inherited from class oracle.jbo.server.remote.AbstractRemoteApplicationModuleImpl
`addException, addMethodReturnValueToMessage, addResponse, afterActivation, bindToWorkingSet, cacheCleared, clearServiceMessage, createApplicationModule, createLocalApplicationModule, createPiggybackManager, createRootApplicationModule, createWorkerApplicationModule, detach, disconnectWithRetainState, dispatchMethod, doneCommit, doneRollback, findApplicationModule, findObject, finishedProcessingPiggyback, finishServiceMessage, finishSyncWorkingSet, getAdaptee, getApplicationModuleDefName, getApplicationModuleInfo, getAppModuleNamesFromResponse, getAppModuleRequestHandler, getClientProxyInterfaceName, getCurrentWorkingSet, getMarshaller, getObjectMarshaller, getOutboundServiceMessage, getPiggyback, getRemoteObjectId, getRequestName, getResponseName, getSvcMsgManager, handleException, handleWarning, hasPendingDataPosts, invokeMethod, marshal, marshalForActivate, pooledSync, processMessage, processPiggyback, processServiceMessage, processSvcMsgRequest, reconnectWithoutForce, releaseAdaptee, remove, sendWorkingSetRequests, setAdaptee, setApplicationModuleDefName, setBoundToWorkingSet, setDataModelRefresh, setMarshaller, setSvcMsgManager, sync, syncMarshaller, syncWorkingSet, txnCreated, txnRemoved`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CMEJBApplicationModuleImpl

    public CMEJBApplicationModuleImpl()

Method Detail

### afterBegin

    public void afterBegin()
                    throws javax.ejb.EJBException

  Specified by:
    `afterBegin` in interface `javax.ejb.SessionSynchronization`
  Throws:
    `javax.ejb.EJBException`

### beforeCompletion

    public void beforeCompletion()
                          throws javax.ejb.EJBException

  Specified by:
    `beforeCompletion` in interface `javax.ejb.SessionSynchronization`
  Throws:
    `javax.ejb.EJBException`

### afterCompletion

    public void afterCompletion(boolean committed)
                         throws javax.ejb.EJBException

  Specified by:
    `afterCompletion` in interface `javax.ejb.SessionSynchronization`
  Throws:
    `javax.ejb.EJBException`

### createTxnHandlerFactory

    public TransactionHandlerFactory createTxnHandlerFactory()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.